osl::search::AlphaBetaWindow Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::search::AlphaBetaWindow Struct Reference

`#include <searchWindow.h>`

## Public Member Functions
| AlphaBetaWindow (int a, int b)
int & | alpha ()
int & | beta ()
int | alpha () const
int | beta () const
const AlphaBetaWindow | flipPlayer () const
bool | isConsistent (Player P) const
bool | null () const
void | dump () const

## Public Attributes
int | alpha_value
int | beta_value

## Detailed Description

Definition at line 13 of file searchWindow.h.

## Constructor & Destructor Documentation

osl::search::AlphaBetaWindow::AlphaBetaWindow | ( | int | a,
|  | int | b
| ) |  |
| inlineexplicit

Definition at line 16 of file searchWindow.h.

Referenced by flipPlayer().

## Member Function Documentation

int& osl::search::AlphaBetaWindow::alpha | ( | ) |  |
| inline

Definition at line 21 of file searchWindow.h.

References alpha_value.

Referenced by flipPlayer(), isConsistent(), osl::search::AlphaBetaWindowUtil< P, EvalBase >::isOutOfWindow(), and null().

int osl::search::AlphaBetaWindow::alpha | ( | ) |  | const
| inline

Definition at line 23 of file searchWindow.h.

References alpha_value.

int& osl::search::AlphaBetaWindow::beta | ( | ) |  |
| inline

Definition at line 22 of file searchWindow.h.

References beta_value.

Referenced by flipPlayer(), isConsistent(), osl::search::AlphaBetaWindowUtil< P, EvalBase >::isOutOfWindow(), and null().

int osl::search::AlphaBetaWindow::beta | ( | ) |  | const
| inline

Definition at line 24 of file searchWindow.h.

References beta_value.

void osl::search::AlphaBetaWindow::dump | ( | ) |  | const

const AlphaBetaWindow osl::search::AlphaBetaWindow::flipPlayer | ( | ) |  | const
| inline

Definition at line 25 of file searchWindow.h.

References alpha(), AlphaBetaWindow(), and beta().

bool osl::search::AlphaBetaWindow::isConsistent | ( | Player | P) |  | const
| inline

Definition at line 29 of file searchWindow.h.

References alpha(), beta(), and osl::eval::notLessThan().

bool osl::search::AlphaBetaWindow::null | ( | ) |  | const
| inline

Definition at line 33 of file searchWindow.h.

References alpha(), and beta().

## Member Data Documentation

int osl::search::AlphaBetaWindow::alpha_value

Definition at line 15 of file searchWindow.h.

Referenced by alpha().

int osl::search::AlphaBetaWindow::beta_value

Definition at line 15 of file searchWindow.h.

Referenced by beta().

The documentation for this struct was generated from the following file:

- searchWindow.h